﻿@using eCommerce.UI.Models
@using eCommerce.Services.Model.Enums
@using eCommerce.UI.Utils
@model IEnumerable<eCommerce.Services.Model.Order>
@{
    ViewBag.Title = "Historial de Compras";
}

<div class="container">

    <div class="inner-xs">
        <div class="page-header">
            <h2 class="page-title">Historial de Compras</h2>
        </div>
    </div>

    <div class="table-responsive inner-bottom-xs hidden-xs">

        <table class="table table-bordered table-striped compare-list">
            <thead>
                <tr>
                    <th class="text-center">#Orden</th>
                    <th class="text-center">Fecha</th>
                    <th class="text-center">Total</th>
                    <th class="text-center">Envío</th>
                    <th class="text-center">Estado</th>
                    <th class="text-center">Acci&oacute;nes</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
            {
                    <tr class="comparison-item">
                        <td class="text-center">#@item.OrderId.ToString()</td>
                        <td class="text-center">@item.Created</td>
                        <td class="comparison-item-cell odd text-right">
                            <span class="amount">
                                @{
                                    var total = item.OrderTotal;

                                    if (item.ShippingCost.HasValue)
                                    {
                                        total += item.ShippingCost.Value;
                                    }
                                }
                                $@total.ToString("N")
                            </span>
                        </td>
                        <td class="text-center">
                            <a href="/Account/DeliveryDetail/@item.OrderId" class="label label-danger tracing" style="background-color: #ed2564;" target="_blank">Ver Seguimiento</a>
                        </td>
                        <td class="text-center">
                            @switch (item.OrderStatusId)
                            {
                                case (int)OrderStatusEnum.EnProceso:
                                    <p class="order-status_process">Pendiente</p>  
                                    break;
                                case (int)OrderStatusEnum.Confirmado:
                                    <p class="order-status_confirm">Confirmada</p>
                                    break;

                            }
                        </td>
                        <td class="comparison-item-cell even">
                            <div class="add-cart-button text-center" style="padding-bottom: 0px">
                                <a class="label label-danger tracing" style="background-color: #000;font-size: 1.4rem;" href="/Account/OrderDetail/@item.OrderId">Ver detalle</a>
                            </div>
                        </td>
                    </tr>
                                    }
            </tbody>
        </table>
    </div>

    <div class="visible-xs">
        @foreach (var item in Model)
        {
            <div class="order">
                <div class="order-header">
                    <div class="order-details">
                        <span>Orden: #@item.OrderId</span>
                        <span class="order-date">Fecha: @item.Created</span>
                        @switch (item.OrderStatusId)
                        {
                            case (int)OrderStatusEnum.EnProceso:
                                <p class="order-status_process">Pendiente</p>
                                break;
                            case (int)OrderStatusEnum.Confirmado:
                                <p class="order-status_confirm">Confirmada</p>
                                break;

                        }
                    </div>

                    <div class="order-total">
                        $@item.OrderTotalWithShippingCost.ToString("N")
                    </div>
                </div>

                <div class="order-actions">
                    <div>
                        <span>Estado del Envío</span>
                        <a href="/Account/DeliveryDetail/@item.OrderId" class="label tracing" style="background-color: #ed2564;" target="_blank">Ver Seguimiento ></a>
                    </div>

                    <div>
                        <span>Acci&oacute;nes</span>
                        <a class="label tracing" style="background-color: #000;" href="/Account/OrderDetail/@item.OrderId">Ver detalle</a>
                    </div>
                </div>
            </div>
        }
    </div>
</div>


@section Scripts {


}